image: python:3.6

stages:
  - test

before_script:
  - apt-get -q update && apt-get install -y python3-virtualenv virtualenv
  - echo $PATH
  - /usr/bin/virtualenv venv
  - ls venv
  - ls venv/bin
  - . venv/bin/source activate
  - python -V
  - pip3 install requirements.txt
  - mkdir /etc/aura
  - mkdir /var/log/aura
  - cp ./configuration/engine.ini /etc/aura/

simple_guru_help:
  stage: test
  script:
    - whoami
    - python3 guru.py -h

